=== debian/changelog ===
pbseqlib (0~20151014+gitbe5d1bf-2) unstable; urgency=medium

  * Add package interdependencies.
  * Correct the dependencies of libpbseq-dev
  * Set up some build-time tests
  * Fix build on 32-bit architectures (Closes: #807583)
  * Drop symlinks from -dev packages

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Dec 2015 19:37:03 -0800

pbseqlib (0~20151014+gitbe5d1bf-1) unstable; urgency=medium

  * Initial release (Closes: #798218)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 16 Nov 2015 21:51:07 -0800
