=== debian/control ===
Source: pbseqlib
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	python,
	zlib1g-dev,
	libhdf5-dev,
	libboost-dev,
#	libpbbam-dev,
	libhts-dev,
# Test-Depends:
	libgtest-dev,
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/PacificBiosciences/blasr_libcpp
Vcs-Git: git://anonscm.debian.org/debian-med/pbseqlib.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbseqlib.git

Package: libpbseq
Section: metapackages
Architecture: all
Depends:
	${misc:Depends},
	libpbdata (>= ${source:Version}),
	libpbihdf (>= ${source:Version}),
	libblasr  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Section: libdevel
Architecture: all
Depends:
	${misc:Depends},
	libpbdata-dev (>= ${source:Version}),
	libpbihdf-dev (>= ${source:Version}),
	libblasr-dev  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libpbdata (= ${binary:Version}),
	${misc:Depends}
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbdata
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends}
Description: tools for handling PacBio sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the pbdata sublibrary.

Package: libpbihdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libpbihdf (= ${binary:Version}),
	${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

Package: libpbihdf
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata (= ${binary:Version}),
Description: tools for handling PacBio hdf5 files
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the hdf sublibrary.

Package: libblasr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libblasr (= ${binary:Version}),
	${misc:Depends}
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata (= ${binary:Version}),
	libpbihdf (= ${binary:Version}),
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.
