## pbseqlib 0~20160705

=== debian/changelog ===
pbseqlib (0~20160705-1) unstable; urgency=medium

  * Imported Upstream version 0~20160705
    (upstream git 0ae1691)
    - Drop patches
    - Fix "clean" target
  * Move header files to avoid breaking relative paths
  * Bump Standards-Version to 3.9.8
  * Don't put libpbseq in Metapackages section
  * Use encrypted protocols for VCS
  * Update email address and copyright years
  * Use O3 optimization
  * Use dh-exec to handle library installation
  * Install libraries to main ldpath and add ld triggers
  * Remove unnecessary definition in d/rules
  * Remove obsolete lintian overrides
  * Add README.source to explain relationship with reverse-dependencies

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 18:17:42 -0700
