=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pbseqlib
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
+	dh-exec,
 	python,
 	zlib1g-dev,
 	libhdf5-dev,
@@ -12,14 +13,13 @@
 	libhts-dev,
 # Test-Depends:
 	libgtest-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
-Vcs-Git: git://anonscm.debian.org/debian-med/pbseqlib.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbseqlib.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pbseqlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbseqlib.git
 
 Package: libpbseq
-Section: metapackages
 Architecture: all
 Depends:
 	${misc:Depends},
