=== debian/changelog ===
pbseqlib (0~20161219-2) unstable; urgency=medium

  * Add support for HDF5 1.10.1
    Thanks to Gilles Filippini for the patches (Closes: #880805)
  * Bump Standards-Version to 4.1.1
  * Update copyright year
  * Handle nocheck build profile

 -- Afif Elghraoui <afif@debian.org>  Thu, 09 Nov 2017 22:48:55 -0500

pbseqlib (0~20161219-1) unstable; urgency=medium

  * Imported Upstream version 0~20161219
    (upstream git 61c6ab0)
  * Update to debhelper compat 10

 -- Afif Elghraoui <afif@debian.org>  Tue, 20 Dec 2016 00:55:41 -0800

pbseqlib (0~20160705-2) unstable; urgency=medium

  * Build with pbbam

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Dec 2016 23:08:34 -0800
