=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
 	dh-exec,
 	python,
 	zlib1g-dev,
 	libhdf5-dev,
 	libboost-dev,
-#	libpbbam-dev,
+	libpbbam-dev,
 	libhts-dev,
-# Test-Depends:
-	libgtest-dev,
-Standards-Version: 3.9.8
+	libgtest-dev <!nocheck>,
+Standards-Version: 4.1.1
 Section: libs
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pbseqlib.git
@@ -68,7 +67,8 @@
 Multi-Arch: same
 Depends:
 	${shlibs:Depends},
-	${misc:Depends}
+	${misc:Depends},
+	libpbbam,
 Description: tools for handling PacBio sequences
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -98,6 +98,7 @@
 	${shlibs:Depends},
 	${misc:Depends},
 	libpbdata (= ${binary:Version}),
+	libpbbam,
 Description: tools for handling PacBio hdf5 files
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -128,6 +129,7 @@
 	${misc:Depends},
 	libpbdata (= ${binary:Version}),
 	libpbihdf (= ${binary:Version}),
+	libpbbam,
 Description: tools for aligning PacBio reads to target sequences
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
