=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #DH_VERBOSE = 1
 include /usr/share/dpkg/default.mk
 
-export NOPBBAM = 1
 export HDF5_INC = /usr/include/hdf5/serial
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 export GTEST_INC = /usr/include
@@ -12,8 +11,16 @@
 export DEB_CFLAGS_MAINT_APPEND=-O3
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 
+export LDLIBS += -lpbbam
+
+# Needed for patch hdf5-1.10.1-support.patch
+HDF5_VERSION := $(shell grep 'HDF5 Version' $(HDF5_LIB)/libhdf5.settings | awk '{print $$3}')
+ifeq (yes,$(shell dpkg --compare-versions $(HDF5_VERSION) '>=' 1.10.1 && echo yes))
+export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
+endif
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	./configure.py PREFIX=/usr/
