=== debian/changelog ===
pbseqlib (5.3.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:02:44 +0200

pbseqlib (5.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Install pkg-config file for libblasr
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:27:41 +0100

pbseqlib (5.3.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * d/watch: Upstream has tagged a release so use proper watch file
  * Exclude binary tools from upstream tarball
  * Set PREFIX_INC=.. to make sure header files will be found
  * cme fix dpkg-control
     - Point Vcs-fields to Salsa
     - Standards-Version: 4.1.4
     - Sequence of fields
     - Formatting
  * check DEB_BUILD_OPTIONS in auto_test override
  * Remove unused lintian override
  * hardening=+all

  [ Gilles Filippini ]
  * Fix build against recent Hdf5 lib

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2018 14:42:21 +0200
