=== debian/control ===
Source: pbseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-exec,
               python,
               zlib1g-dev,
               libhdf5-dev,
               libboost-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libhts-dev,
               libgtest-dev <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
Homepage: https://github.com/PacificBiosciences/blasr_libcpp

Package: libpbseq
Architecture: all
Depends: ${misc:Depends},
         libpbdata (>= ${source:Version}),
         libpbihdf (>= ${source:Version}),
         libblasr  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libpbdata-dev (>= ${source:Version}),
         libpbihdf-dev (>= ${source:Version}),
         libblasr-dev  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpbdata (= ${binary:Version}),
         ${misc:Depends}
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbdata
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for handling PacBio sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the pbdata sublibrary.

Package: libpbihdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpbihdf (= ${binary:Version}),
         libhdf5-dev,
         ${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

Package: libpbihdf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbdata (= ${binary:Version})
Description: tools for handling PacBio hdf5 files
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the hdf sublibrary.

Package: libblasr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblasr (= ${binary:Version}),
         libpbdata-dev (= ${binary:Version}),
         ${misc:Depends}
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbdata (= ${binary:Version}),
         libpbihdf (= ${binary:Version})
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.
