=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,23 @@
 export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
 endif
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./configure.py PREFIX=/usr/
 
+override_dh_auto_build:
+	dh_auto_build -- PREFIX_INC=..
+
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # Ignore the return code because some tests
 # require data that is not available in the source distribution.
 	-$(MAKE) -k gtest
+endif
 
 override_dh_auto_install:
 	mkdir -p debian/libpbdata-dev/usr/include/pbseq
