## pbseqlib 5.3.3%2Bdfsg

=== debian/changelog ===
pbseqlib (5.3.3+dfsg-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:38 +0100

pbseqlib (5.3.3+dfsg-4) unstable; urgency=medium

  * Breaks+Replaces: libblasr (<< 5.3.3)
    Closes: #950093

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jan 2020 15:28:50 +0100

pbseqlib (5.3.3+dfsg-3) unstable; urgency=medium

  * libpbdata-dev: Depends: libpbcopper-dev
    Closes: #949869

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jan 2020 16:50:34 +0100

pbseqlib (5.3.3+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Install LibBlasrConfig.h into libblasr-dev package

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 17:28:48 +0100

pbseqlib (5.3.3+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Convert libpbseq-dev to Architecture: any. (Closes: #940327)

  [ Andreas Tille ]
  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself.
  * New upstream version
    Closes: #937257
  * debhelper-compat 12
  * Add new Build-Depends needed for testing
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Build-Depends: libpbcopper-dev
  * C++14
  * Detect hdf5 lib with meson
  * Fix installation
    Closes: #948925
  * Remove unneeded triggers
  * Remove binary packages libpbdata and libpbihdf since these are
    header only libraries now

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 21:12:41 +0100
