=== debian/rules ===
--- 
+++ 
@@ -8,27 +8,21 @@
 export GTEST_INC = /usr/include
 export GTEST_SRCDIR = /usr/src/gtest
 
-export DEB_CFLAGS_MAINT_APPEND=-O3
-export DEB_CXXFLAGS_MAINT_APPEND=-O3
+export DEB_CFLAGS_MAINT_APPEND=-O3 -I$(HDF5_INC)
+export DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
 
 export LDLIBS += -lpbbam
 
 # Needed for patch hdf5-1.10.1-support.patch
 HDF5_VERSION := $(shell grep 'HDF5 Version' $(HDF5_LIB)/libhdf5.settings | awk '{print $$3}')
 ifeq (yes,$(shell dpkg --compare-versions $(HDF5_VERSION) '>=' 1.10.1 && echo yes))
-export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
+export DEB_CPPFLAGS_MAINT_APPEND+=-DHAVE_HDF5_1_10_1 $(DEB_CFLAGS_MAINT_APPEND)
 endif
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	./configure.py PREFIX=/usr/
-
-override_dh_auto_build:
-	dh_auto_build -- PREFIX_INC=..
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
