## pbseqlib 5.3.4%2Bdfsg

=== debian/changelog ===
pbseqlib (5.3.4+dfsg-3) unstable; urgency=medium

  * Install LibBlasrConfig.h at correct location

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 13:47:40 +0100

pbseqlib (5.3.4+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 06:30:43 +0100

pbseqlib (5.3.4+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * More friendly dh_missing installation
  * Use d-shlibs
  * Soname in library package

  [ Helmut Grohne ]
  * Switch all packages to Architecture: any.
    Closes: #972822

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 21:16:35 +0100
