=== debian/rules ===
--- 
+++ 
@@ -31,18 +31,27 @@
 	-$(MAKE) -k gtest
 endif
 
-override_dh_auto_install:
-	mkdir -p debian/libpbdata-dev/usr/include/pbseq
-	cp -r pbdata debian/libpbdata-dev/usr/include/pbseq/
-	mkdir -p debian/libpbihdf-dev/usr/include/pbseq/
-	cp -r hdf debian/libpbihdf-dev/usr/include/pbseq/
-	mkdir -p debian/libblasr-dev/usr/include/pbseq/
-	cp -r alignment debian/libblasr-dev/usr/include/pbseq/
+override_dh_install:
+	dh_install -p libpbdata-dev usr/include/libblasr/pbdata		usr/include/pbseq
+	dh_install -p libpbihdf-dev usr/include/libblasr/hdf		usr/include/pbseq
+	dh_install -p libblasr-dev  usr/include/libblasr/alignment	usr/include/pbseq
 	find -L debian/*/usr/include/ -type f -regextype posix-egrep -not -regex '.*(hpp|h)$$' -delete
 # defines.mk and build.mk files are symlinks and don't
 # get removed by the previous command
 	find debian/*/usr/include/ -name "*.mk" -delete
-	dh_auto_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --override s/libhdf5_serial_cpp103-dev/libhdf5-dev/ \
+		    --override s/libpbbam1.6.0-dev/libpbbam-dev/ \
+		    --override s/libpbcopper1.8.0-dev/libpbcopper-dev/ \
+		    --movedev debian/tmp/usr/include/libblasr usr/include \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		    debian/tmp/usr/lib/*/libblasr.so
+	mv debian/libblasr-dev/usr/include/libblasr debian/libblasr-dev/usr/include/pbseq
+	mv debian/libblasr-dev/usr/include/pbseq/libblasr/LibBlasrConfig.h debian/libblasr-dev/usr/include/pbseq
+	dh_install
 
 override_dh_auto_clean:
 	dh_auto_clean
