## pbseqlib 5.3.4+dfsg

=== debian/control ===
Source: pbseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               meson,
               pkg-config,
               cmake,
               googletest,
               libgtest-dev,
               zlib1g-dev,
               libhdf5-dev,
               libboost-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libpbcopper-dev,
               libhts-dev,
               libgtest-dev <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
Homepage: https://github.com/PacificBiosciences/blasr_libcpp
Rules-Requires-Root: no

Package: libblasr-dev
Architecture: any
Section: libdevel
Depends: libblasr5.3.4 (= ${binary:Version}),
         libpbdata-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: libblasr (<< 5.3.3)
Replaces: libblasr (<< 5.3.3)
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr5.3.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.

Package: libpbseq
Architecture: any
Depends: ${misc:Depends},
         libblasr5.3.4 (= ${binary:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpbdata-dev (= ${binary:Version}),
         libpbihdf-dev (= ${binary:Version}),
         libblasr-dev  (= ${binary:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpbcopper-dev
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbihdf-dev
Architecture: any
Section: libdevel
Depends: libhdf5-dev,
         ${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.
