## pbseqlib 5.3.5+dfsg

=== debian/changelog ===
pbseqlib (5.3.5+dfsg-11) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on libboost-iostreams-dev. (Closes: #1117415)
  * d/watch: bump to untrackable watch file v5.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Oct 2025 23:39:29 +0200

pbseqlib (5.3.5+dfsg-10) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Revert "Get Aptly"

  [ Étienne Mollier ]
  * d/control: unconditionally build-depend on GTest. (Closes: #1105136)
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Mon, 12 May 2025 20:19:16 +0200

pbseqlib (5.3.5+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Potential fix for gcc-14
  * Get Aptly

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 10 Dec 2024 11:25:04 +0100

pbseqlib (5.3.5+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/control: Drop build-dependency on libbz2-dev. Closes: #1086515.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 18:45:00 +0100

pbseqlib (5.3.5+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/control: needs explicit build-dep on libbz2-dev. Closes: #1086368
  * d/control: pkg-config → pkgconf

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Oct 2024 16:43:18 +0100

pbseqlib (5.3.5+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/pbbam_2.3.0: adapt to changes in pbbam 2.3.0
    & pbcopper 2.2.0
  * d/control: add missing ${devlibs:Depends} to libblasr-dev
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 20:47:40 +0200

pbseqlib (5.3.5+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Annotate gtest with <!nocheck>
  * Add patch to fix FTBFS with gcc-13 (Closes: #1037815)
  * Disable salsa-CI for i386 due to pbbam not being available on 32 bit archs
  * Mark libpbihdf-dev as MA: same

 -- Nilesh Patra <nilesh@debian.org>  Tue, 20 Jun 2023 23:44:20 +0530

pbseqlib (5.3.5+dfsg-4) unstable; urgency=medium

  * Switch watch file to tags
  * d/rules: drop DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
    Closes: #1006777

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 11:42:12 +0100

pbseqlib (5.3.5+dfsg-3) unstable; urgency=medium

  * Rebuild against updated libs
    Closes: #1005428
  * Apply multi-arch hints.
    + libpbdata-dev: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 14:14:47 +0100

pbseqlib (5.3.5+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 08 Oct 2021 13:50:37 +0200

pbseqlib (5.3.5+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * debian/control: mark 4 binary packages Multi-Arch: same

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Bump soversion

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 15:08:25 +0200
