=== debian/control ===
--- 
+++ 
@@ -6,31 +6,30 @@
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                meson,
-               pkg-config,
+               pkgconf,
                cmake,
                googletest,
                libgtest-dev,
                zlib1g-dev,
                libhdf5-dev,
                libboost-dev,
-               libpbbam-dev (>= 0.18.0+dfsg-1~),
-               libpbcopper-dev,
-               libhts-dev,
-               libgtest-dev <!nocheck>
-Standards-Version: 4.5.0
+               libboost-iostreams-dev,
+               libpbbam-dev (>> 2.3.0),
+               libpbcopper-dev (>> 2.2.0),
+               libhts-dev (>= 1.20+ds-2~)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
 Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
-Rules-Requires-Root: no
 
 Package: libblasr-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libblasr5.3.4 (= ${binary:Version}),
+Depends: libblasr5.3.5 (= ${binary:Version}),
          libpbdata-dev (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends}
-Breaks: libblasr (<< 5.3.3)
-Replaces: libblasr (<< 5.3.3)
 Description: tools for aligning PacBio reads to target sequences (development files)
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -39,9 +38,10 @@
  This package contains the header files and static library for the alignment
  sublibrary.
 
-Package: libblasr5.3.4
+Package: libblasr5.3.5
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tools for aligning PacBio reads to target sequences
@@ -53,8 +53,9 @@
 
 Package: libpbseq
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         libblasr5.3.4 (= ${binary:Version})
+         libblasr5.3.5 (= ${binary:Version})
 Description: library for analyzing PacBio sequencing data
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -64,6 +65,7 @@
 
 Package: libpbseq-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libpbdata-dev (= ${binary:Version}),
@@ -78,6 +80,7 @@
 
 Package: libpbdata-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libpbcopper-dev
@@ -91,6 +94,7 @@
 
 Package: libpbihdf-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libhdf5-dev,
          ${misc:Depends}
@@ -101,4 +105,3 @@
  .
  This package contains the header files and static library for the hdf
  sublibrary.
-
