=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export GTEST_SRCDIR = /usr/src/gtest
 
 export DEB_CFLAGS_MAINT_APPEND=-O3 -I$(HDF5_INC)
-export DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
 
 export LDLIBS += -lpbbam
