=== debian/watch ===
Version: 5
Untrackable: upstream vanished.

Source: https://github.com//PacificBiosciences/blasr_libcpp/tags
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: s/\+dfsg//g
Repack: yes
Repacksuffix: +dfsg
